EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • POST
                        Cancel the training job for this model
                      • GET
                        Checkpoints for the latest training attempt
                      • GET
                        List evaluations for a model
                      • POST
                        Create a evaluation
                      • GET
                        Get a evaluation
                      • GET
                        Log tail for the latest training attempt
                      • GET
                        Live training metrics for a model (downsampled)
                      • POST
                        Retry the training job from the latest available checkpoint
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Models
                              4. Checkpoints for the latest training attempt

                              Checkpoints for the latest training attempt

                              GET
                              /v1/models/{modelId}/checkpoints
                              curl -X GET 'https://api.embodiflow.io/v1/models/{modelId}/checkpoints' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • modelIdstringrequired

                              Query parameters

                              • pageSizenumber

                                Page size (default 25, maximum 100). Over-maximum is refused.

                              • pageTokenstring

                                Opaque page token from the previous response.

                              Responses

                              Success

                              • option 1object
                                • dataarray<object>required
                                • nextPageTokenstring
                                • metaobjectrequired
                              • option 2object
                                • dataarray<object>required
                              Response example
                              {
                                "data": [
                                  {}
                                ],
                                "nextPageToken": "string",
                                "meta": {
                                  "pageSize": 0,
                                  "totalCount": 0,
                                  "truncated": false,
                                  "requestId": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /models/{modelId}/cancellation-requests

                              Next

                              GET /models/{modelId}/evaluations

                              curl -X GET 'https://api.embodiflow.io/v1/models/{modelId}/checkpoints' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": [
                                  {}
                                ],
                                "nextPageToken": "string",
                                "meta": {
                                  "pageSize": 0,
                                  "totalCount": 0,
                                  "truncated": false,
                                  "requestId": "string"
                                }
                              }